Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Class DefaultLocalSearchSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.localsearch.DefaultLocalSearchSolverPhase

All Implemented Interfaces:
  EventListener, LocalSearchSolverPhaseLifecycleListener, LocalSearchSolverPhase, SolverPhaseLifecycleListener, SolverPhase

    public class DefaultLocalSearchSolverPhase

extends AbstractSolverPhase
implements LocalSearchSolverPhase, LocalSearchSolverPhaseLifecycleListener

Default implementation of `LocalSearchSolverPhase`.

Field Summary
`protected boolean` | `assertStepScoreIsUncorrupted`
`protected Decider` | `decider`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultLocalSearchSolverPhase()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)`
`void` | `setDecider(Decider decider)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, beforeDeciding, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setTermination, stepDecided, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Field Detail

### decider

    protected Decider decider

### assertStepScoreIsUncorrupted

    protected boolean assertStepScoreIsUncorrupted

Constructor Detail

### DefaultLocalSearchSolverPhase

    public DefaultLocalSearchSolverPhase()

Method Detail

### setDecider

    public void setDecider(Decider decider)

### setAssertStepScoreIsUncorrupted

    public void setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.